@import url("https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@200&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200&display=swap");

html,
body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #0b192e;
}

main {
  overflow: hidden;
  margin: 0 15% 0 15%;
}

#intro {
  margin-top: 10rem !important;
}

#presentation {
  margin-top: 10rem !important;
}

#competences {
  margin-top: 10rem !important;
}

#contact {
  margin-top: 10rem !important;
}

footer {
  height: 15vh;
  margin-top: 2rem;
  background-color: #0b192e;
  color: #ccd6f6;
}

.button-template {
  color: #64ffda;
  background-color: transparent;
  border: 1px solid #64ffda;
  border-radius: 4px;
  padding: 1.25rem 1.75rem;
  font-size: 14px;
  font-family: "Roboto Mono", monospace;
  line-height: 1;
  text-decoration: none;
  cursor: pointer;
  transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
  margin-top: 50px;
}

.button-template:hover {
  background-color: #64ffdb33;
}

.box_cv {
  margin-top: 3rem;
}

// .fufu{

// }

#intro {
  width: 100%;
  height: 100%;
}

.wrapper-block {
  position: relative;
  height: 70%;
}

.block {
  width: 0%;
  height: inherit;
  background: #64ffdb;
  position: absolute;
  animation: mainBlock 1s ease-out forwards;
}

.fadeup-enter-done {
  animation: mainFadeIn 1s forwards;
  animation-delay: 1.2s;
  opacity: 0;
}

@keyframes mainBlock {
  0% {
    width: 0%;
    left: 0;
  }
  50% {
    width: 100%;
    left: 0;
  }
  100% {
    width: 0;
    left: 100%;
  }
}

@keyframes mainFadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.reveal {
  opacity: 0;
}

.reveal.active {
  opacity: 1;
}
.active.fade-bottom {
  animation: fade-bottom 1s ease-in;
}

@keyframes fade-bottom {
  0% {
    transform: translateY(50px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

h4 {
  color: #ccd6f6;
  font-weight: 300;
  padding-left: 12rem;
  margin-top: 2rem;
  margin-bottom: 1rem;
  font-family: "Poppins";
}

h3 {
  color: #ccd6f6;
  font-weight: 300;
  display: flex;
  font-weight: bold;
  font-family: sans-serif, "Poppins";
  line-height: 2;
}

h2 {
  color: #ccd6f6;
  font-size: 4.3vh;
  font-weight: bold;
  margin-bottom: 0;
  margin-top: 0;
  font-family: sans-serif, "Poppins";
}

h3::after {
  content: "";
  display: block;
  position: relative;
  top: 18px;
  width: 300px;
  height: 1px;
  margin-left: 20px;
  background-color: #ccd6f62c;
}

h1 {
  margin-bottom: 0;
  margin-top: 0;
  color: #ccd6f6;
  font-size: 4.3vh;
  font-weight: bold;
  font-family: sans-serif, "Poppins";
}

.hello {
  color: #64ffda;
  font-family: "Roboto Mono", monospace;
}

p {
  color: #ccd6f6;
  font-size: 2.1vh;
  font-family: "Poppins", sans-serif;
}

a {
  color: #64ffda;
  text-decoration: none;
}

a:hover {
  color: #ccd6f6;
}

.flexcenter {
  display: flex;
  justify-content: center;
  align-items: center;
}

.container-fluid {
  margin-top: 1rem;
  display: flex;
  justify-content: space-between;
}

/* -----HEADER----- */

.navbar {
  margin: 0;
  padding: 0;
  background-color: #0b192e;
  transition: background-color 2s ease 0s;
}

.navbar-collapse {
  flex-grow: 0;
}

.navbar.opaque {
  background-color: #0b192e;
  transition: background-color 2s ease 0s;
}

header {
  margin: 0 15% 0 13%;
}

header nav ul li a {
  margin: 0 30px;
  font-family: "Poppins", sans-serif;
}

label {
  font-family: "Poppins", sans-serif;
}

li {
  list-style: none;
  font-family: "Poppins", sans-serif;
}

.height-5 {
  height: 5rem;
}

.nav-link {
  color: #ccd6f6;
  font-family: "Roboto Mono", monospace;
}

.nav-link:hover {
  color: #64ffda;
}

#navbarTogglerDemo2 {
  text-align: center;
}

.flexend {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.navbar-toggler {
  margin: 0;
  padding: 0;
}

.navbar-nav {
  justify-content: flex-end;
  display: flex;
  margin-top: 2rem;
}

/* -----LOGO----- */

#logo {
  width: 90px;
  height: 90px;
  background-image: url(../images/logo-portfolio.png);
  background-size: cover;
  text-align: center;
  vertical-align: middle;
  line-height: 67px;
  color: #64ffda;
  font-family: "Roboto Mono", monospace;
  font-size: 0.7rem;
}

.nav-span {
  color: #64ffda;
  font-size: 14px;
  font-family: "Roboto Mono", monospace;
}

.dot {
  font-size: 14px;
  line-height: 3;
  margin-right: 10px;
}

/* -----SECTION_INTRO----- */

#intro {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  min-height: 40vh;
  margin-top: 2rem;
  padding-right: 12rem;
}

.me {
  width: 220px;
  height: 280px;
}

#box_img {
  display: flex;
  justify-content: flex-end;
}

#box_img > img {
  margin-right: 2rem;
  -webkit-box-shadow: 14px 14px 0px -3px #64FFDB; 
  box-shadow: 14px 14px 0px -3px #64FFDB;
}

/* -----SECTION_PRESENTATION----- */

// #presentation {

// }

#box_title > h2 {
  padding-top: 20px;
}

.box_inner {
  display: grid;
  grid-template-columns: 4fr 2fr;
  gap: 50px;
}

.list_techno {
  color: #ccd6f6;
  display: grid;
  grid-template-columns: repeat(2, minmax(140px, 200px));
  gap: 0px 10px;
  padding: 0px;
  margin: 20px 0px 0px;
  overflow: hidden;
  list-style: none;
}

.list_techno > li {
  font-family: "Roboto Mono", monospace;
  position: relative;
  margin-bottom: 10px;
  padding-left: 20px;
}

.list_techno > li::before {
  content: "▹";
  position: absolute;
  left: 0px;
  color: #64ffda;
  font-size: 20px;
  line-height: 21px;
}

/* -----SECTION_COMPETENCES----- */

.box_projects {
  display: flex;
}

#competences > div:nth-child(2) > div {
  flex-direction: row-reverse;
}

#competences > div:nth-child(4) > div {
  flex-direction: row-reverse;
}

#competences > div:nth-child(6) > div {
  flex-direction: row-reverse;
}

// #box_title{

// }

.box_one {
  flex: 5;
}

.box_two {
  flex: 4;
  margin-right: 1rem;
}

.descr {
  margin-right: 25px;
  padding: 12px;
  background-color: #112240;
  box-shadow: 0 10px 30px -15px rgba(2, 12, 27, 0.7);
  border-radius: 4px;
}

.techno {
  margin-left: 20px;
}

.description {
  display: none;
  height: 100%;
  width: 100%;
  border-radius: 20px;
}

.site {
  height: 22px;
  color: #64ffda;
  margin-right: 1rem;
}

.fas-name {
  font-size: 22px !important;
  margin-right: 1rem;
  color: #64ffda;
}

.site-1 {
  margin-left: 1rem;
}

.site:hover {
  color: #ccd6f6;
}

/* -----SECTION_PROJETS----- */

#projets {
  margin-top: 5rem;
}

/* -----SECTION_CONTACT----- */

#contact {
  color: #e6e6ea;
  width: 50vw;
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  margin: 0 auto;
}

.box_links{
  display: flex;
  justify-content: space-evenly;
}

.copyright{
  font-family: "Poppins";
}

.contact-text {
  margin-bottom: 5rem !important;
}

.fas {
  font-size: 2.7rem;
  color: #64ffda;
}

#logo > i {
  font-size: 0.4rem;
}

.fab {
  font-size: 2.7rem;
  color: #64ffda;
}

/* -----------Page Login---------- */

.log {
  margin-top: 2.5rem;
}

.logtext {
  margin-bottom: 2rem;
}

.loglabel {
  color: #ccd6f6;
}

/* -----------Page admin---------- */

.addform {
  height: 100vh;
  background-color: #0b192e;
  // background: linear-gradient(-45deg, #ee7752, #882f51, #1f627a, #1d648d);
  // background-size: 400% 400%;
  // animation: gradient 10s ease infinite;
}

.boxform {
  background-color: rgba(30, 30, 36, 0.1);
  border: 1px solid #ccd6f6;
  border-radius: 50% 100% / 150%;
  height: 65vh;
  width: 50vw;
}

#submit {
  margin-top: 2rem;
}

.addform input {
  border-radius: 20px;
  width: 20rem;
}

.addform label {
  color: #e6e6ea;
}

.addform {
  text-align: center;
}

/* -----RESPONSIVE----- */
@media screen and (max-width: 1050px) {
  h4 {
    padding-left: 0;
    text-align: center;
  }

  .box_projects {
    display: block !important;
  }
}

@media screen and (max-width: 991px) {


  .me {
    width: 180px;
    height: 240px;
  }

  header {
    margin: 0 0 0 2%;
  }

  main {
    margin: 0 6% 0 6%;
  }

  .height-5 {
    height: 0.02rem;
  }

  .box_inner {
    display: block;
  }

  #intro {
    padding-right: 0;
    margin-top: 3rem !important;
  }

  #presentation {
    margin-top: 6rem !important;
  }

  #competences {
    margin-top: 6rem !important;
  }

  #contact {
    margin-top: 6rem !important;
  }

  .me {
    margin-top: 5rem;
  }

  #navbarTogglerDemo2 {
    display: none;
  }

  .nav-item:hover {
    background-color: rgba(225, 225, 225, 0.5);
  }

  #box_img {
    display: flex;
    justify-content: center;
    margin: 0 0 1rem 0;
  }

  #box_img > img {
    margin-right: 0;
}

  .wrapper {
    display: block;
  }

  #box_slide {
    flex-direction: column;
    height: 100vh;
  }

  #contact {
    width: 100%;
  }

  .site {
    margin-bottom: 1rem;
  }

  .descr {
    margin-right: 0;
  }
}

@media screen and (max-width: 530px) {
  .copyright {
    font-size: 13px;
  }

  footer {
    height: 10vh;
    margin-top: 2rem;
  }
}
